<!--用户信息 created By 1173944134@qq.com-->
<template>
    <!--信息弹窗-->
    <div class="yidialog-con userinfo_dia" id="UserInfoDia">
        <div class="yid-back"></div>
        <div class="yid-con flex-row yid-con-col">
            <div class="yid-con-body flex-row">
                <div class="user_info_wrap">
                    <div class="create_user_info_content create_user_info_content_upload">
                        <div class="user_info_box">
                            <div class="upload_avatar">
                                <div class="user_avatar">
                                    <img src="" alt="" class="user_head">
                                </div>
                                <span class="upload">上传宝宝靓照</span>
                            </div>
                            <div class="gender">
                                <div class="gender_box">
                                    <input id="girl" type="radio" value="0" name="gender" checked="false">
                                    <label for="girl">小公主</label>
                                </div>
                                <div class="gender_box"><input id="boy" type="radio" value="1" name="gender">
                                    <label for="boy">小王子</label>
                                </div>
                            </div>
                            <div class="item_box item_box1">
                                <span>小名:</span>
                                <input class="nickname normal normal_color" maxlength="20" type="text" value="">
                            </div>
                            <div class="item_box item_box2">
                                <span>生日:</span>
                                <input type="text"
                                       class="user_birthday normal normal_color"
                                       readonly="" onfocus="this.blur()"
                                       value=""></div>
                            <div class="bottom_btn">
                                <button class="user_panel_cancle">取消</button>
                                <button class="user_panel_save">保存</button>
                            </div>
                        </div>
                    </div>
                </div>
                <!--头像放大面板-->
                <div class="alert_enlarge_avatar">
                    <img src="" alt="">
                </div>
                <div class="cropper-wrap">
                    <div class="cropper-top">
                        <button class="cropper-cancle">取消</button>
                        <button class="cropper-confirm">确定</button>
                    </div>
                    <div class="cropper-pic">
                        <img id="cropper-img" src="" alt="">
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        name: 'courselist_opt',
        data: {
            defaultBirth: '2014-01-01',
            uploadBlob: null,
            handleGoodStartCoupon: ApiHelper.SERVER + '/dengta/act/dual12/mainvenue/handleGoodStartCoupon.json', // 开门红发券接口
            SECTION_LIST_DESC: 'SECTION_LIST_DESC', // 课程目录页显示过
            moreCourseInit: '/dengta/act/dual12/mainvenue/queryEntry.json', // 首页
            courseListInit: '/dengta/common/act/10016/courseList/init.json', // 课堂
            addLiveCourseUser: '/dengta/common/act/10016/addLiveCourseUser.json', // 海报
            courseImg: resourcePath + '/imgs/groupPurchase/newCourseImg/',
            imgPath: resourcePath + '/imgs/groupPurchase/act/double_12/',
            groupPurPath: resourcePath + '/imgs/groupPurchase/', // 图片地址
            pvuv: ApiHelper.SERVER + '/dengta/common/act/10029/addPvuv.json', // pvuv微信通用接口
            cDetailToHomePvuv: ApiHelper.SERVER + '/dengta/pvuv/btn/add.json' // 课程详情页点击回首页
        },
        // pvuvkey
        pvuvKey: {
            expose: 'dt_1212_dual12_bogo_give_coupon_id_{couponId}_exposure', // 优惠券列表看到赠课券曝光
            click: 'dt_1212_dual12_bogo_give_coupon_id_{couponId}_to_use', // 赠课券点击“去使用
            listBtn: 'dt_1212_dual12_bogo_course_list_btn', // 课程列表页8折按钮   渠道号是100348
            courseBtn: 'dt_1212_dual12_bogo_my_course_btn ' // 我的课8折按钮      渠道号是100347
        },
        // 接口数据
        actData: {
            babyAvatar: resourcePath + '/imgs/groupPurchase/score/defalut_boy.png?v=' + window.jspVersionMoreChange,
            name: '',
            babyName: '',
            babyGender: '',
            babyBirthday: ''
        },
        // 曝光统计
        sendExposePvuv: function (data, callback) {
            data = data || {}
            !data.pvuvKeyId && (data.pvuvKeyId = 570)
            data.actChannels = data.channel
            var url = this.data.pvuv
            if (data.actId) {
                url = url.replace('10029', data.actId)
            }
            delete data.channel
            if (!data.expParam) {
                data.expParam = {
                    module: '',
                    tag: ''
                }
            }
            $.get(url, data)
            callback && setTimeout(callback, 300)
        },
        addPvuv: function (data, callback) {
            ApiHelper.myLog('pvuv>>>>', data)
            $.get(data.url || this.data.pvuv, data)
            callback && setTimeout(callback, 300)
        },
        // 获取用户信息
        getUserInfo: function (callback) {
            var that = this
            $.get('/dengta/user/profile.json', function (res) {
                if (!res) {
                    return
                }
                if (res.resultCode && res.resultCode.code == -10001) {
                    location.href = res.value.authUrl
                    return
                }
                var userInfo = (res.value || {}).user
                if (!userInfo) {
                    return
                }
                var infoKeys = ['babyAvatar', 'name', 'babyName', 'babyGender', 'babyBirthday']
                for (var i = 0; i < infoKeys.length; i++) {
                    var key = infoKeys[i]
                    if (userInfo[key]) {
                        that.actData[key] = userInfo[key]
                    }
                }
                callback && callback()
            })
        },
        // 初始化
        init: function () {
            var that = this
            ApiHelper.$on('showInfoDia', function (e, data) {
                if (data) {
                    that.actData = data
                    that.showInfoDia()
                } else {
                    that.getUserInfo(function () {
                        that.showInfoDia()
                    })
                }
            })
            ApiHelper.loadCSS(resourcePath + '/plugin/datePicker/datePicker.css?v=' + window.groupBuyVersion)
            ApiHelper.loadCSS(resourcePath + '/plugin/jquery-cropper/cropper.css?v=' + window.groupBuyVersion)
            ApiHelper.loadJS({
                path: resourcePath + '/plugin/datePicker/datePicker.js?v=' + window.groupBuyVersion
            })
            ApiHelper.loadJS({
                path: resourcePath + '/plugin/jquery-cropper/cropper.js?v=' + window.groupBuyVersion,
                callback: function () {
                    ApiHelper.loadJS({
                        path: resourcePath + '/plugin/jquery-cropper/jquery-cropper.js?v=' + window.groupBuyVersion
                    })
                }
            })
        },
        showInfoDia: function () {
            var that = this
            if ($('#UserInfoDia').length > 0) {
                $('#UserInfoDia').css({
                    display: 'flex'
                })
                return
            }
            $(UserInfoDia).appendTo($('body'))
            $('#UserInfoDia .user_head').attr('src', that.actData.babyAvatar)
            $('#UserInfoDia .nickname').val(that.actData.babyName || that.actData.name || '宝宝昵称')
            $('#UserInfoDia .user_birthday').val(that.actData.babyBirthday || that.actData.defaultDate)
            $('input:radio[name=gender]').attr('checked', false)
            var gender = '' + that.actData.babyGender
            var sex = gender === '0' ? 0 : 1
            $('input:radio[name=gender]')[sex].checked = true;
            // $('input:radio[name=gender]:checked').val()
            $('#UserInfoDia .user_birthday').val(that.actData.babyBirthday || that.data.defaultBirth)
            // 点击放大头像
            $('#UserInfoDia .user_avatar').click(function () {
                $('#UserInfoDia .alert_enlarge_avatar img').attr('src', $('#UserInfoDia .user_head').attr('src'))
                $('#UserInfoDia .alert_enlarge_avatar').show()
            })
            // 点击放大的头像消失oi
            $('#UserInfoDia .alert_enlarge_avatar').on('click', function () {
                $(this).hide()
            })
            $('#UserInfoDia .item_box input').click(function () {
                $(this).removeClass('normal_color')
            })
            $('#UserInfoDia .user_panel_cancle').click(function () {
                $('#UserInfoDia').hide()
            })
            //            点击上传图片
            $('#UserInfoDia .upload').click(function () {
                wx.chooseImage({
                    count: 1,
                    sizeType: ['original', 'compressed'], // 可以指定是原图还是压缩图，默认二者都有
                    sourceType: ['album'], // 可以指定来源是相册还是相机，默认二者都有
                    success: function (res) {
                        wx.getLocalImgData({
                            localId: res.localIds[0],
                            success: function (res) {
                                $('.cropper-wrap').show();
                                var base64Url = res.localData;
                                var re = /data:image/;
                                if (!re.test(base64Url)) {
                                    base64Url = 'data:image/jpg;base64,' + base64Url;
                                } else {
                                    base64Url = base64Url.replace('jgp', 'jpeg');
                                }
                                var loading = weui.loading('正在加载', {
                                    className: 'custom-classname'
                                });
                                if (base64Url === $('#cropper-img').attr('src')) {
                                    that.initCropper();
                                    loading.hide();
                                } else {
                                    $('#cropper-img').attr('src', base64Url).on('load', function () {
                                        // 初始化cropper
                                        that.initCropper();
                                        loading.hide();
                                    });
                                }
                            }
                        });
                    },
                    fail: function (e) {
                        weui.alert('微信没有权限访问你的相册', {title: '提示'});
                    }
                })
            })
            // 点击发送用户信息
            $('#UserInfoDia .user_panel_save').click(function () {
                var isPassValidate = that.validateInput()
                if (!isPassValidate) {
                    return
                }
                var loading = weui.loading('正在上传数据', {
                    className: 'custom-classname'
                });
                var formData = new FormData();
                if (that.data.uploadBlob != null) {
                    formData.append("avatar", that.data.uploadBlob)
                } else {
                    formData.append("avatar", that.actData.babyAvatar)
                }
                formData.append('gender', $('#UserInfoDia .gender_box input:checked').val());
                formData.append('nickname', $('#UserInfoDia .nickname').val());
                formData.append('birthday', $('#UserInfoDia .user_birthday').val());
                console.log('formData' + formData)

                $.ajax({
                    type: 'post',
                    url: '/dengta/user/babycard/update.json',
                    data: formData,
                    processData: false,
                    contentType: false,
                    success: function (res) {
                        if (res && res.resultCode && res.resultCode.code === 0) {
                            $('#UserInfoDia').hide()
                            ApiHelper.$emit('reloadUserInfo')
                            loading.hide();
                        } else {
                            loading.hide();
                            weui.alert('上传失败，请重新上传', function () {
                            }, {title: '提示'});
                        }
                    },
                    error: function (res) {
                        console.log(res, 'res')
                        loading.hide();
                        weui.alert('上传失败，请重新上传', function () {
                        }, {title: '提示'});
                    }
                });
            })
            that.initDatePicker()
        },
        // 初始化cropper
        initCropper: function () {
            var that = this
            $('#UserInfoDia .cropper-wrap').show();
            var image = document.getElementById('cropper-img');
            var cropOptions = {
                viewMode: 1, // 裁剪框只能在图片区域内
                dragMode: 'move', // 裁剪框只能移动
                autoCropArea: .9, // 裁剪框显示的大小
                aspectRatio: 1 / 1, // 裁剪框的宽高比例
                movable: false, // 是否允许可以移动后面的图片
                cropBoxResizable: false // 是否通过拖动来调整剪裁框的大小
            }
            var cropper = new Cropper(image, cropOptions);

            // 取消截图
            $('#UserInfoDia .cropper-cancle').click(cropper, function (event) {
                var cropper = event.data;
                $('.cropper-confirm').unbind('click');
                $('.cropper-cancle').unbind('click');
                cropper.destroy();
                $('.cropper-wrap').hide()
            });
            $('#UserInfoDia .cropper-confirm').click(cropper, function (event) {
                var cropper = event.data;
                var croppedCanvas = cropper.getCroppedCanvas();

                var blob = that.toBlob(croppedCanvas.toDataURL());
                if (blob.size > 4194304) {
                    weui.alert('上传图片不能超过4M，请重新上传');
                } else {
                    var base64url = croppedCanvas.toDataURL('image/jpeg');
                    $('.user_avatar img').attr('src', base64url);
                    that.data.uploadBlob = that.dataURLtoFile(base64url, 'test.jpg')
                }
                $('.cropper-confirm').unbind('click');
                $('.cropper-cancle').unbind('click');
                cropper.destroy();
                $('.cropper-wrap').hide();
            })
        },
        // 验证小名和生日是否填写
        validateInput: function () {
            var flag = true;
            if ($('.nickname').val().trim() == '') {
                flag = false;
                $('.nickname').val('').attr('placeholder', '请输入小名哦~').removeClass('normal').addClass('error')
            } else if ($('.user_birthday').val().trim() == '') {
                flag = false;
                $('.user_birthday').val('').attr('placeholder', '请输入生日哦~').removeClass('normal').addClass('error')
            }
            return flag
        },
        // 初始化日期
        initDatePicker: function () {
            var calendar = new datePicker();
            var MaxDate = this.formatDate(new Date());
            calendar.init({
                'trigger': '.item_box2',
                'type': 'date',
                'defaults': this.actData.babyBirthday || this.data.defaultBirth,
                // 'minDate': '2008-1-1',
                'maxDate': MaxDate,
                'onSubmit': function () {
                    $("#UserInfoDia .user_birthday").val(calendar.value);
                },
                'onClose': function () {
                }
            });
        },
        // 格式化日期
        formatDate: function (date) {
            var year = date.getFullYear();
            var month = date.getMonth() + 1;
            var day = date.getDate();
            month = month < 10 ? "0" + month : month;
            return year + "-" + month + "-" + day;
        },
        // 处理兼容blob
        toBlob: function (dataUrl) {
            var binaryString = window.atob(dataUrl.split(',')[1]);
            var arrayBuffer = new ArrayBuffer(binaryString.length);
            var intArray = new Uint8Array(arrayBuffer);
            for (var i = 0, j = binaryString.length; i < j; i++) {
                intArray[i] = binaryString.charCodeAt(i);
            }

            var data = [intArray],
                blob;

            try {
                blob = new Blob(data);
            } catch (e) {
                window.BlobBuilder = window.BlobBuilder ||
                    window.WebKitBlobBuilder ||
                    window.MozBlobBuilder ||
                    window.MSBlobBuilder;
                if (e.name === 'TypeError' && window.BlobBuilder) {
                    var builder = new BlobBuilder();
                    builder.append(arrayBuffer);
                    blob = builder.getBlob(imgType); // imgType为上传文件类型，即 file.type
                } else {
                    console.log('版本过低，不支持上传图片');
                }
            }
            return blob;
        },
        dataURLtoFile: function (dataurl, filename) {//将base64转换为文件
            var arr = dataurl.split(','), mime = arr[0].match(/:(.*?);/)[1],
                bstr = atob(arr[1]), n = bstr.length, u8arr = new Uint8Array(n);
            while (n--) {
                u8arr[n] = bstr.charCodeAt(n);
            }
            return new File([u8arr], filename, {type: mime});
        },
        // 是否在可视区域 document.addEventListener('scroll', ApiHelper.throttle(function () {}, 500)
        isInView: function (options) {
            var config = {
                selector: options
            }
            if (typeof options !== 'string') {
                config = options
            }
            var selector = config.selector
            var top = config.top || 0 // 头部距离
            var bottom = config.bottom || 0
            if (!document.querySelector(selector)) {
                return false
            }
            var rect = document.querySelector(selector).getBoundingClientRect()
            var flag = false
            top = -rect.height + top
            bottom = window.innerHeight - bottom
            if (rect.top <= bottom && rect.top >= top) {
                flag = true
            }
            return flag
        },
        // 插入未来元素
        checkHas: function (selector, callback) {
            var that = this
            var addBannerCount = 0

            function check() {
                setTimeout(function () {
                    addBannerCount++
                    if ($(selector).length > 0) {
                        callback && callback.call(that)
                    } else {
                        addBannerCount < 5 && check()
                    }
                }, 1000)
            }

            check()
        },
        // 我的课堂
        initCourseList: function () {
            var that = this
            that.handleGoodStartCoupon()
            ApiHelper.$on('notification', function (e, data) {
                var callback = data.callback
                !that._initMoreCourse() && callback && callback()
            })
            ApiHelper.$on('buy1send1Alert', function (e, data) {
                that.buy1send1Alert(data)
            })
            var channel = '' + (ApiHelper.getQueryString('channel') || '')
            var channelArr = '10002,9002,9004,9006,10006,10008'.split(',')
            var has = ApiHelper.idxInArr(channelArr, channel)
            has > -1 && that.addPvuv({
                pvuvKey: 392,
                actChannels: channel
            })
            that.getActInfo(function () {
                that.showBanner()
                that.showIconList()
            })
        },
        getStorageSync: function (key) {
            var storage = localStorage.getItem(key)
            try {
                storage = JSON.parse(storage)
            } catch (e) {
                storage = storage
            }
            return storage
        },
        setStorageSync: function (key, data) {
            localStorage.setItem(key, JSON.stringify(data))
        }
    }
</script>

<style scoped lang="less">
    .flex-row {
        display: -moz-box;
        /* 老版本语法: Firefox (buggy) */
        display: -ms-flexbox;
        /* 混合版本语法: IE 10 */
        display: -webkit-flex;
        /* 新版本语法: Chrome 21+ */
        display: flex;
    }

    @cl-mask: rgba(0, 0, 0, 0.85);
    /**弹窗**/
    .yidialog-con {
        position: fixed;
        width: 100%;
        height: 100%;
        top: 0px;
        left: 0px;
        display: flex;
        align-items: center;
        justify-content: center;
        z-index: 1000;

        .yid-back {
            position: absolute;
            left: 0px;
            top: 0px;
            width: 100%;
            height: 100%;
            text-align: center;
            background: @cl-mask;
        }

        .yid-con {
            position: relative;
            display: flex;
            justify-content: center;
            align-content: center;
            color: #ffffff;
            flex-wrap: wrap;

            .yid-cls {
                position: relative;
                z-index: 9999;
                width: 0.51rem;
                height: 0.51rem;
                flex-shrink: 0;
            }

            .yid-hand {
                position: absolute;
                width: 1rem;
                top: 3.1rem;
                right: 0.1rem;
                animation: handClick 1s infinite;
            }
        }

        .yid-con-col {
            flex-direction: column;
        }
    }

    /** 信息弹窗 **/
    .userinfo_dia {
        z-index: 820;

        .yid-con-body {

            .user_info_wrap {
                width: 100%;
                height: 100%;
                display: -webkit-flex;
                justify-content: center;
                align-items: center;
            }

            .create_user_info_content {
                width: 5.8rem;
                height: 8.4rem;
                -webkit-border-radius: .3rem;
                -moz-border-radius: .3rem;
                border-radius: .3rem;
            }

            .create_user_info_content_upload {
                background: url('http://static2.61info.com/service/imgs/groupPurchase/newCourseImg/create_baby_info_upload.png') no-repeat;
                background-size: 100% 100%;
                -webkit-background-size: 100% 100%;
            }

            .create_user_info_content_update {
                background: url('http://static2.61info.com/service/imgs/groupPurchase/newCourseImg/create_baby_info_update.png') no-repeat;
                -webkit-background-size: 100% 100%;
                background-size: 100% 100%;
            }

            .create_user_info_content .user_info_box {
                margin-top: 2.73rem;
                display: -webkit-flex;
                flex-direction: column;
                align-items: center;
            }

            .create_user_info_content .user_info_box .upload_avatar {
                width: 100%;
                height: 1.48rem;
                position: relative;
            }

            .create_user_info_content .user_info_box .upload_avatar .user_avatar {
                width: 1.4rem;
                height: 1.4rem;
                -webkit-border-radius: 50%;
                -moz-border-radius: 50%;
                border-radius: 50%;
                overflow: hidden;
                position: absolute;
                top: 0;
                left: 50%;
                -webkit-transform: translate(-50%, 0);
                -moz-transform: translate(-50%, 0);
                -ms-transform: translate(-50%, 0);
                -o-transform: translate(-50%, 0);
                transform: translate(-50%, 0);
            }

            .create_user_info_content .user_info_box .upload_avatar .upload {
                position: absolute;
                bottom: 0;
                left: 50%;
                padding: 0.06rem 0.1rem;
                white-space: nowrap;
                -webkit-transform: translate(.7rem, 0);
                -moz-transform: translate(.7rem, 0);
                -ms-transform: translate(.7rem, 0);
                -o-transform: translate(.7rem, 0);
                transform: translate(.7rem, 0);
                font-size: .22rem;
                color: #0054ff;
            }

            .create_user_info_content .user_info_box .user_avatar img {
                width: 100%;
                height: 100%;
            }

            .create_user_info_content .user_info_box .gender {
                display: -webkit-flex;
                justify-content: center;
                align-items: center;
                height: 1.04rem;
                margin-bottom: .08rem;
                color: #333333;
            }

            .create_user_info_content .user_info_box .gender .gender_box:nth-child(1) {
                margin-right: .68rem;
            }

            .create_user_info_content .user_info_box .gender .gender_box label {
                font-size: .32rem;
            }

            .create_user_info_content .user_info_box .gender .gender_box input {
                display: none;
                position: absolute;
                clip: rect(0, 0, 0, 0);
            }

            .create_user_info_content .user_info_box .gender .gender_box input + label::before {
                content: ''; /*不换行空格*/
                display: inline-block;
                vertical-align: middle;
                font-size: .32rem;
                width: .3rem;
                height: .3rem;
                margin-right: .12rem;
                -webkit-border-radius: 50%;
                -moz-border-radius: 50%;
                border-radius: 50%;
                border: .02rem solid #000;
                -webkit-box-sizing: border-box;
                -moz-box-sizing: border-box;
                box-sizing: border-box;
                text-indent: .15em;
                line-height: 1;
            }

            .create_user_info_content .user_info_box .gender .gender_box input:checked + label::before {
                background-color: #000;
                -webkit-background-clip: content-box;
                background-clip: content-box;
                padding: .04rem;
            }

            .create_user_info_content .user_info_box .item_box {
                height: .6rem;
                display: -webkit-flex;
                align-items: center;
                color: #333333;
            }

            .create_user_info_content .user_info_box .item_box1 {
                margin-bottom: .2rem;
            }

            .create_user_info_content .user_info_box .item_box > span {
                font-size: .42rem;
            }

            .create_user_info_content .user_info_box .item_box > input {
                width: 3.25rem;
                height: 100%;
                border: .02rem solid #000;
                -webkit-border-radius: .08rem;
                -moz-border-radius: .08rem;
                border-radius: .08rem;
                overflow: hidden;
                padding-left: .19rem;
                margin-left: .12rem;
                font-size: .34rem;
            }

            .create_user_info_content .user_info_box .item_box .normal_color {
                color: #ababab;
            }

            .create_user_info_content .user_info_box .item_box .normal::-ms-input-placeholder {
                color: #ababab;
            }

            .create_user_info_content .user_info_box .item_box .normal::-moz-input-placeholder {
                color: #ababab;
            }

            .create_user_info_content .user_info_box .item_box .normal::-webkit-input-placeholder {
                color: #ababab;
            }

            .create_user_info_content .user_info_box .item_box .error::-ms-input-placeholder {
                color: #c00;
            }

            .create_user_info_content .user_info_box .item_box .error::-moz-input-placeholder {
                color: #c00;
            }

            .create_user_info_content .user_info_box .item_box .error::-webkit-input-placeholder {
                color: #c00;
            }

            .create_user_info_content .user_info_box .bottom_btn {
                padding-top: .51rem;
            }

            .create_user_info_content .user_info_box .bottom_btn button {
                width: 2.1rem;
                height: .8rem;
                -webkit-border-radius: .4rem;
                -moz-border-radius: .4rem;
                border-radius: .4rem;
                font-size: .36rem;
                text-align: center;
                line-height: .8rem;
            }

            .create_user_info_content .user_info_box .bottom_btn .user_panel_cancle {
                border: .02rem solid #c6c6c6;
                background-color: #fff;
                color: #4f4f51;
                margin-right: .46rem
            }

            .create_user_info_content .user_info_box .bottom_btn .user_panel_save {
                border: .02rem solid #ff5000;
                background-color: #ff7800;
                color: #fff;
            }

            .alert_enlarge_avatar {
                position: fixed;
                top: 0;
                left: 0;
                z-index: 821;
                width: 100%;
                height: 100%;
                background: rgba(0, 0, 0, .7);
                display: none;
            }

            .alert_enlarge_avatar img {
                position: fixed;
                top: 50%;
                left: 0;
                -webkit-transform: translate(0, -50%);
                -moz-transform: translate(0, -50%);
                -ms-transform: translate(0, -50%);
                -o-transform: translate(0, -50%);
                transform: translate(0, -50%);
                width: 100%;
            }

            .cropper-wrap {
                position: fixed;
                top: 0;
                left: 0;
                z-index: 130;
                width: 100%;
                height: 100%;
                background: rgba(0, 0, 0, .8);
                -webkit-box-sizing: border-box;
                -moz-box-sizing: border-box;
                box-sizing: border-box;
                display: none;
            }

            .cropper-wrap .cropper-top {
                position: absolute;
                top: 0;
                left: 0;
                border-bottom: 1px solid #ccc;
                z-index: 140;
                height: 10%;
                width: 100%;
                border-botom: 2px solid red;
                display: -webkit-flex;
                justify-content: flex-end;
                align-items: center;
                padding-right: .2rem;
            }

            .cropper-wrap .cropper-top button {
                height: 50%;
                padding: .2rem;
                -webkit-border-radius: .2rem;
                -moz-border-radius: .2rem;
                border-radius: .2rem;
                font-size: .28rem;
                text-align: center;
                line-height: 50%;
            }

            .cropper-wrap .cropper-top .cropper-confirm {
                background-color: #1AAD19;
                color: #fff;
                margin-left: .2rem;
            }

            .cropper-wrap .cropper-top .cropper-cancle {
                background-color: #F8F8F8;
                color: #000;
            }

            .cropper-wrap .cropper-pic {
                position: absolute;
                top: 10%;
                left: 0;
                width: 100%;
                height: 90%;
            }

            .cropper-wrap .cropper-pic img {
                width: 100%;
            }
        }
    }

    .my-hand-ani {
        animation: myHandAni 1s infinite;
    }

    @keyframes myHandAni {
        50% {
            left: 80px;
        }
        0%, 100% {
            left: 50px;
        }
    }

    @keyframes iconClick {
        0%, 100% {
            margin-bottotm: 0;
        }
        50% {
            margin-bottom: -35px;
            transform: scale(1.1);
        }
    }

    @keyframes handClick {
        from {
            margin-top: 0rem;
            margin-right: 0rem;
        }
        50% {
            margin-top: -0.1rem;
            margin-right: 0.1rem;
            transform: scale(0.9);
        }
        to {
            margin-top: -0rem;
            margin-right: 0rem;
        }
    }

    .scale-size {
        animation: scaleSize 2s infinite;
    }

    @keyframes scaleSize {
        from {
            transform: scale(0.9);
            opacity: 0.9;
        }
        50% {
            transform: scale(1.2);
            opacity: 1;
        }
        to {
            transform: scale(0.9);
            opacity: 0.9;
        }
    }

    .heart-beat {
        animation: heartBeat 1s infinite;
    }

    @keyframes heartBeat {
        0% {
            -webkit-transform: scale(1);
            transform: scale(1);
        }

        14% {
            -webkit-transform: scale(.8);
            transform: scale(.8);
        }

        28% {
            -webkit-transform: scale(1);
            transform: scale(1);
        }

        42% {
            -webkit-transform: scale(.8);
            transform: scale(.8);
        }

        70% {
            -webkit-transform: scale(1);
            transform: scale(1);
        }
    }

    /**淡入*/
    .fade-in {
        animation: fadeIn 1s;
    }

    @keyframes fadeIn {
        from {
            opacity: 0;
        }
        to {
            opacity: 1;
        }
    }
</style>
